Freeciv-3.1: /fast/freeciv/nightly/S3_1/client/gui-stub/diplodlg.c File Reference

Freeciv-3.1

Loading...
Searching...
No Matches
Functions
diplodlg.c File Reference
`#include "gui_stub.h"`
`#include "diplodlg.h"`

Go to the source code of this file.

## Functions

void | handle_diplomacy_accept_treaty (int counterpart, bool I_accepted, bool other_accepted)
void | handle_diplomacy_init_meeting (int counterpart, int initiated_from)
void | handle_diplomacy_create_clause (int counterpart, int giver, enum clause_type type, int value)
void | handle_diplomacy_cancel_meeting (int counterpart, int initiated_from)
void | handle_diplomacy_remove_clause (int counterpart, int giver, enum clause_type type, int value)
void | close_all_diplomacy_dialogs (void)

## Function Documentation

## ◆ close_all_diplomacy_dialogs()

void close_all_diplomacy_dialogs | ( | void |  | ) |

Close all open diplomacy dialogs.

Called when the client disconnects from game.

Definition at line 74 of file diplodlg.c.

## ◆ handle_diplomacy_accept_treaty()

void handle_diplomacy_accept_treaty | ( | int | counterpart,
|  | bool | I_accepted,
|  | bool | other_accepted
| ) |  |

Update a player's acceptance status of a treaty (traditionally shown with the thumbs-up/thumbs-down sprite).

Definition at line 27 of file diplodlg.c.

## ◆ handle_diplomacy_cancel_meeting()

void handle_diplomacy_cancel_meeting | ( | int | counterpart,
|  | int | initiated_from
| ) |  |

Update the diplomacy dialog when the meeting is canceled (the dialog should be closed).

Definition at line 55 of file diplodlg.c.

## ◆ handle_diplomacy_create_clause()

void handle_diplomacy_create_clause | ( | int | counterpart,
|  | int | giver,
|  | enum clause_type | type,
|  | int | value
| ) |  |

Update the diplomacy dialog by adding a clause.

Definition at line 45 of file diplodlg.c.

## ◆ handle_diplomacy_init_meeting()

void handle_diplomacy_init_meeting | ( | int | counterpart,
|  | int | initiated_from
| ) |  |

Handle the start of a diplomacy meeting - usually by popping up a diplomacy dialog.

Definition at line 37 of file diplodlg.c.

## ◆ handle_diplomacy_remove_clause()

void handle_diplomacy_remove_clause | ( | int | counterpart,
|  | int | giver,
|  | enum clause_type | type,
|  | int | value
| ) |  |

Update the diplomacy dialog by removing a clause.

Definition at line 63 of file diplodlg.c.